import { PublicKey } from '@solana/web3.js';
import { Program } from '@coral-xyz/anchor';
import { utils } from '@wormhole-foundation/sdk-solana';
import { TokenBridgeCoder } from './coder/index.js';
import { TOKEN_BRIDGE_IDL as IDL, } from '../../tokenBridgeType.js';
export function createTokenBridgeProgramInterface(programId, provider) {
    return new Program(IDL, new PublicKey(programId), provider === undefined ? { connection: null } : provider, coder());
}
export function createReadOnlyTokenBridgeProgramInterface(programId, connection) {
    return createTokenBridgeProgramInterface(programId, utils.createReadOnlyProvider(connection));
}
export function coder() {
    return new TokenBridgeCoder(IDL);
}
//# sourceMappingURL=program.js.map